<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>D09/EX00</title>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
</head>
<body>

    <div id="balloon"></div>

    <style>
        * { box-sizing: border-box; }

        #balloon {
            width: 200px;
            display: inline-block;
            height: 200px;
            background: red;
            border-radius: 50%;
        }
    </style>

    <script>
        const colors = [ 'red', 'green', 'blue' ];
        let   index  = 0;

        $('#balloon').on('click', function () {
            let size = $(this).width() + 10;

            if (size > 420)
                size = 200;

            index = (index + 1) % colors.length;

            $(this).css({
                width: `${size}px`,
                height: `${size}px`,
                background: colors[index]
            });
        });

        $('#balloon').on('mouseleave', function () {
            let size = $(this).width() - 5;

            if (size < 200)
                size = 200;

            index--;

            if (index < 0)
                index = colors.length - 1;

            $(this).css({
                width: `${size}px`,
                height: `${size}px`,
                background: colors[index]
            });
        });
    </script>
</body>
</html>
